Index: squid/include/snmp_debug.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_debug.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_debug.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_debug.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,9 +1,9 @@
 /*
- * $Id: snmp_debug.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_debug.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef SNMP_DEBUG_H
-#define SNMP_DEBUG_H
+#ifndef SQUID_SNMP_DEBUG_H
+#define SQUID_SNMP_DEBUG_H
 
 #if STDC_HEADERS
 extern void snmplib_debug(int, char *,...);
@@ -11,4 +11,4 @@
 extern void snmplib_debug(va_alist);
 #endif
 
-#endif
+#endif /* SQUID_SNMP_DEBUG_H */
Index: squid/include/snmp_error.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_error.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_error.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_error.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_ERROR_H_
-#define _SNMP_ERROR_H_
+#ifndef SQUID_SNMP_ERROR_H
+#define SQUID_SNMP_ERROR_H
 
 /**********************************************************************
  *
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_error.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_error.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -63,6 +63,6 @@
 
 #ifdef __cplusplus
 }
-
 #endif
-#endif				/* _SNMP_ERROR_H_ */
+
+#endif				/* SQUID_SNMP_ERROR_H */
Index: squid/include/snmp_impl.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_impl.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_impl.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_impl.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,9 +1,9 @@
 /*
- * $Id: snmp_impl.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_impl.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef _SNMP_IMPL_H_
-#define _SNMP_IMPL_H_
+#ifndef SQUID_SNMP_IMPL_H
+#define SQUID_SNMP_IMPL_H
 
 /*
  * Definitions for SNMP (RFC 1067) implementation.
@@ -97,4 +97,4 @@
 /* from snmp.c */
 extern u_char sid[];		/* size SID_MAX_LEN */
 
-#endif /* _SNMP_IMPL_H_ */
+#endif /* SQUID_SNMP_IMPL_H */
Index: squid/include/snmp_msg.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_msg.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_msg.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_msg.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_MSG_H_
-#define _SNMP_MSG_H_
+#ifndef SQUID_SNMP_MSG_H
+#define SQUID_SNMP_MSG_H
 
 /**********************************************************************
  *
@@ -26,7 +26,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_msg.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_msg.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -46,4 +46,5 @@
 }
 
 #endif
-#endif				/* _SNMP_MSG_H_ */
+
+#endif	/* SQUID_SNMP_MSG_H */
Index: squid/include/snmp_pdu.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_pdu.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/snmp_pdu.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/snmp_pdu.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,5 +1,5 @@
-#ifndef _SNMP_PDU_H_
-#define _SNMP_PDU_H_
+#ifndef SQUID_SNMP_PDU_H
+#define SQUID_SNMP_PDU_H
 
 /**********************************************************************
  *
@@ -25,7 +25,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_pdu.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: snmp_pdu.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -103,4 +103,5 @@
 #define SNMP_TRAP_AUTHENTICATIONFAILURE (0x4)
 #define SNMP_TRAP_EGPNEIGHBORLOSS       (0x5)
 #define SNMP_TRAP_ENTERPRISESPECIFIC    (0x6)
-#endif /* _SNMP_PDU_H_ */
+
+#endif /* SQUID_SNMP_PDU_H */
Index: squid/include/snmp_session.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_session.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/snmp_session.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/snmp_session.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,6 +1,6 @@
 /* -*- c++ -*- */
-#ifndef _SNMP_SESSION_H_
-#define _SNMP_SESSION_H_
+#ifndef SQUID_SNMP_SESSION_H
+#define SQUID_SNMP_SESSION_H
 
 /**********************************************************************
  *
@@ -24,7 +24,7 @@
  * ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
  * SOFTWARE.
  * 
- * $Id: snmp_session.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: snmp_session.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -51,4 +51,4 @@
 #define RECEIVED_MESSAGE   1
 #define TIMED_OUT	   2
 
-#endif /* _SNMP_SESSION_H_ */
+#endif /* SQUID_SNMP_SESSION_H */
Index: squid/include/snmp_util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_util.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/snmp_util.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/snmp_util.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,9 +1,9 @@
 /*
- * $Id: snmp_util.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: snmp_util.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef SNMP_UTIL_H
-#define SNMP_UTIL_H
+#ifndef SQUID_SNMP_UTIL_H
+#define SQUID_SNMP_UTIL_H
 
 /* call a function at regular intervals (in seconds): */
 extern void snmp_alarm(int ival, void (*handler) (void));
@@ -46,4 +46,4 @@
 int Util_file_write(char *file, int offset, char *data, int dataSz);
 
 /* ---------------------------------------------------------------------- */
-#endif
+#endif /* SQUID_SNMP_UTIL_H */
Index: squid/include/snmp_vars.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snmp_vars.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/snmp_vars.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/snmp_vars.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,5 +1,5 @@
-#ifndef _SNMP_VARS_H_
-#define _SNMP_VARS_H_
+#ifndef SQUID_SNMP_VARS_H
+#define SQUID_SNMP_VARS_H
 
 /**********************************************************************
  *
@@ -25,7 +25,7 @@
  * 
  * Author: Ryan Troll <ryan+@andrew.cmu.edu>
  * 
- * $Id: snmp_vars.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: snmp_vars.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  * 
  **********************************************************************/
 
@@ -73,4 +73,4 @@
 typedef struct variable variable;
 typedef struct variable_list variable_list;
 
-#endif /* _SNMP_VARS_H_ */
+#endif /* SQUID_SNMP_VARS_H */
Index: squid/include/snprintf.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/snprintf.h,v
retrieving revision 1.2.28.1
retrieving revision 1.2.28.2
diff -u -r1.2.28.1 -r1.2.28.2
--- squid/include/snprintf.h	14 Mar 2001 22:17:32 -0000	1.2.28.1
+++ squid/include/snprintf.h	19 Oct 2001 19:05:08 -0000	1.2.28.2
@@ -1,7 +1,10 @@
 /*
- * $Id: snprintf.h,v 1.2.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: snprintf.h,v 1.2.28.2 2001/10/19 19:05:08 serassio Exp $
  */
 
+#ifndef SQUID_SNPRINTF_H
+#define SQUID_SNPRINTF_H
+
 /* if you have configure you can use this */
 #if defined(HAVE_CONFIG_H)
 #include "config.h"
@@ -47,3 +50,5 @@
 int vsnprintf();
 #endif
 #endif
+
+#endif /* SQUID_SNPRINTF_H */
Index: squid/include/splay.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/splay.h,v
retrieving revision 1.3.28.1
retrieving revision 1.3.28.2
diff -u -r1.3.28.1 -r1.3.28.2
--- squid/include/splay.h	14 Mar 2001 22:17:32 -0000	1.3.28.1
+++ squid/include/splay.h	19 Oct 2001 19:05:08 -0000	1.3.28.2
@@ -1,9 +1,9 @@
 /*
- * $Id: splay.h,v 1.3.28.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: splay.h,v 1.3.28.2 2001/10/19 19:05:08 serassio Exp $
  */
 
-#ifndef _SPLAY_H
-#define _SPLAY_H
+#ifndef SQUID_SPLAY_H
+#define SQUID_SPLAY_H
 
 typedef struct _splay_node {
     void *data;
@@ -22,4 +22,4 @@
 extern void splay_destroy(splayNode *, SPLAYFREE *);
 extern void splay_walk(splayNode *, SPLAYWALKEE *, void *);
 
-#endif /* _SPLAY_H */
+#endif /* SQUID_SPLAY_H */
Index: squid/include/squid_types.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/squid_types.h,v
retrieving revision 1.1.18.1
retrieving revision 1.1.18.2
diff -u -r1.1.18.1 -r1.1.18.2
--- squid/include/squid_types.h	14 Mar 2001 22:17:32 -0000	1.1.18.1
+++ squid/include/squid_types.h	19 Oct 2001 19:05:08 -0000	1.1.18.2
@@ -50,8 +50,8 @@
  * header to include which takes care of proper preprocessor stuff
  */
 
-#ifndef _SQUID_TYPES_H_
-#define _SQUID_TYPES_H_
+#ifndef SQUID_TYPES_H
+#define SQUID_TYPES_H
 
 #include "autoconf.h"
 
@@ -72,4 +72,4 @@
 #endif
 #endif /* HAVE_GLIB_H */
 
-#endif /* _SQUID_TYPES_H_ */
+#endif /* SQUID_TYPES_H */
Index: squid/include/tempnam.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/tempnam.h,v
retrieving revision 1.2
retrieving revision 1.2.28.1
diff -u -r1.2 -r1.2.28.1
--- squid/include/tempnam.h	23 Oct 2000 15:04:18 -0000	1.2
+++ squid/include/tempnam.h	19 Oct 2001 19:05:08 -0000	1.2.28.1
@@ -1,5 +1,5 @@
 /*
- * $Id: tempnam.h,v 1.2 2000/10/23 15:04:18 hno Exp $
+ * $Id: tempnam.h,v 1.2.28.1 2001/10/19 19:05:08 serassio Exp $
  */
 
 
@@ -20,7 +20,7 @@
  * not, write to the Free Software Foundation, Inc., 675 Mass Ave,
  * Cambridge, MA 02139, USA.  */
 
-#ifndef _TEMPNAM_H
-#define _TEMPNAM_H
+#ifndef SQUID_TEMPNAM_H
+#define SQUID_TEMPNAM_H
 extern char *tempnam(const char *, const char *);
-#endif /* _TEMPNAM_H */
+#endif /* SQUID_TEMPNAM_H */
Index: squid/include/util.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/util.h,v
retrieving revision 1.4.20.2
retrieving revision 1.4.20.3
diff -u -r1.4.20.2 -r1.4.20.3
--- squid/include/util.h	3 Jul 2001 22:04:35 -0000	1.4.20.2
+++ squid/include/util.h	19 Oct 2001 19:05:08 -0000	1.4.20.3
@@ -1,5 +1,5 @@
 /*
- * $Id: util.h,v 1.4.20.2 2001/07/03 22:04:35 serassio Exp $
+ * $Id: util.h,v 1.4.20.3 2001/10/19 19:05:08 serassio Exp $
  *
  * AUTHOR: Harvest Derived
  *
@@ -31,8 +31,8 @@
  *  
  */
 
-#ifndef _UTIL_H_
-#define _UTIL_H_
+#ifndef SQUID_UTIL_H
+#define SQUID_UTIL_H
 
 #include "config.h"
 #include <stdio.h>
@@ -75,7 +75,7 @@
 extern char *xstrncpy(char *, const char *, size_t);
 extern size_t xcountws(const char *str);
 extern time_t parse_rfc1123(const char *str);
-extern void *xcalloc(int, size_t);
+extern void *xcalloc(size_t, size_t);
 extern void *xmalloc(size_t);
 extern void *xrealloc(void *, size_t);
 extern void Tolower(char *);
@@ -132,4 +132,4 @@
  */
 int statMemoryAccounted(void);
 
-#endif /* ndef _UTIL_H_ */
+#endif /* SQUID_UTIL_H */
Index: squid/lib/md5.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/md5.c,v
retrieving revision 1.2.28.2
retrieving revision 1.2.28.3
diff -u -r1.2.28.2 -r1.2.28.3
--- squid/lib/md5.c	16 Apr 2001 11:55:38 -0000	1.2.28.2
+++ squid/lib/md5.c	19 Oct 2001 19:05:09 -0000	1.2.28.3
@@ -1,5 +1,5 @@
 /*
- * $Id: md5.c,v 1.2.28.2 2001/04/16 11:55:38 rbcollins Exp $
+ * $Id: md5.c,v 1.2.28.3 2001/10/19 19:05:09 serassio Exp $
  */
 
 /* taken from RFC-1321/Appendix A.3 */
@@ -146,9 +146,10 @@
  * processing another message block, and updating the context.
  */
 void
-MD5Update(MD5_CTX * context, const unsigned char *input, unsigned int inputLen)
+MD5Update(MD5_CTX * context, const void *input_p, unsigned long inputLen)
 {
     unsigned int i, index, partLen;
+    const unsigned char *input = input_p;
 
     /* Compute number of bytes mod 64 */
     index = (unsigned int) ((context->count[0] >> 3) & 0x3F);
@@ -184,7 +185,7 @@
  * message digest and zeroizing the context.
  */
 void
-MD5Final(unsigned char digest[16], MD5_CTX * context)
+MD5Final(unsigned char *digest, MD5_CTX * context)
 {
     unsigned char bits[8];
     unsigned int index, padLen;
Index: squid/lib/ntlmauth.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/ntlmauth.c,v
retrieving revision 1.1.22.2
retrieving revision 1.1.22.3
diff -u -r1.1.22.2 -r1.1.22.3
--- squid/lib/ntlmauth.c	30 Aug 2001 17:13:11 -0000	1.1.22.2
+++ squid/lib/ntlmauth.c	19 Oct 2001 19:05:09 -0000	1.1.22.3
@@ -24,6 +24,13 @@
 #include "ntlmauth.h"
 #include "util.h"		/* for base64-related stuff */
 
+#ifdef HAVE_STRING_H
+#include <string.h>
+#endif
+#ifdef HAVE_STRINGS_H
+#include <strings.h>
+#endif
+
 #if UNUSED_CODE
 /* Dumps NTLM flags to standard error for debugging purposes */
 void
@@ -51,6 +58,7 @@
 	(flags & REQUEST_NON_NT_SESSION_KEY ? "Req_nonnt_sesskey " : "")
 	);
 }
+
 #endif
 
 #define lstring_zero(s) s.str=NULL; s.l=-1;
Index: squid/lib/radix.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/radix.c,v
retrieving revision 1.3.28.2
retrieving revision 1.3.28.3
diff -u -r1.3.28.2 -r1.3.28.3
--- squid/lib/radix.c	12 Aug 2001 16:15:02 -0000	1.3.28.2
+++ squid/lib/radix.c	19 Oct 2001 19:05:09 -0000	1.3.28.3
@@ -1,5 +1,5 @@
 /*
- * $Id: radix.c,v 1.3.28.2 2001/08/12 16:15:02 serassio Exp $
+ * $Id: radix.c,v 1.3.28.3 2001/10/19 19:05:09 serassio Exp $
  *
  * DEBUG: section 53     Radix tree data structure implementation
  * AUTHOR: NetBSD Derived
@@ -159,9 +159,7 @@
  */
 
 struct radix_node *
-rn_search(v_arg, head)
-     void *v_arg;
-     struct radix_node *head;
+rn_search(void *v_arg, struct radix_node *head)
 {
     register struct radix_node *x;
     register caddr_t v;
@@ -176,9 +174,7 @@
 }
 
 struct radix_node *
-rn_search_m(v_arg, head, m_arg)
-     struct radix_node *head;
-     void *v_arg, *m_arg;
+rn_search_m(void *v_arg, struct radix_node *head, void *m_arg)
 {
     register struct radix_node *x;
     register caddr_t v = v_arg, m = m_arg;
@@ -194,8 +190,7 @@
 }
 
 int
-rn_refines(m_arg, n_arg)
-     void *m_arg, *n_arg;
+rn_refines(void *m_arg, void *n_arg)
 {
     register caddr_t m = m_arg, n = n_arg;
     register caddr_t lim, lim2 = lim = n + *(u_char *) n;
@@ -221,9 +216,7 @@
 }
 
 struct radix_node *
-rn_lookup(v_arg, m_arg, head)
-     void *v_arg, *m_arg;
-     struct radix_node_head *head;
+rn_lookup(void *v_arg, void *m_arg, struct radix_node_head *head)
 {
     register struct radix_node *x;
     caddr_t netmask = 0;
@@ -241,12 +234,8 @@
     return x;
 }
 
-static
-int
-rn_satsifies_leaf(trial, leaf, skip)
-     char *trial;
-     register struct radix_node *leaf;
-     int skip;
+static int
+rn_satsifies_leaf (char *trial, register struct radix_node *leaf, int skip)
 {
     register char *cp = trial, *cp2 = leaf->rn_key, *cp3 = leaf->rn_mask;
     char *cplim;
@@ -266,9 +255,7 @@
 }
 
 struct radix_node *
-rn_match(v_arg, head)
-     void *v_arg;
-     struct radix_node_head *head;
+rn_match(void *v_arg, struct radix_node_head *head)
 {
     caddr_t v = v_arg;
     register struct radix_node *t = head->rnh_treetop, *x;
@@ -375,10 +362,7 @@
 #endif
 
 struct radix_node *
-rn_newpair(v, b, nodes)
-     void *v;
-     int b;
-     struct radix_node nodes[2];
+rn_newpair(void *v, int b, struct radix_node nodes[2])
 {
     register struct radix_node *tt = nodes, *t = tt + 1;
     t->rn_b = b;
@@ -400,11 +384,7 @@
 }
 
 struct radix_node *
-rn_insert(v_arg, head, dupentry, nodes)
-     void *v_arg;
-     struct radix_node_head *head;
-     int *dupentry;
-     struct radix_node nodes[2];
+rn_insert(void *v_arg, struct radix_node_head *head, int *dupentry, struct radix_node nodes[2])
 {
     caddr_t v = v_arg;
     struct radix_node *top = head->rnh_treetop;
@@ -470,9 +450,7 @@
 }
 
 struct radix_node *
-rn_addmask(n_arg, search, skip)
-     int search, skip;
-     void *n_arg;
+rn_addmask(void *n_arg, int search, int skip)
 {
     caddr_t netmask = (caddr_t) n_arg;
     register struct radix_node *x;
@@ -544,8 +522,7 @@
 }
 
 static int			/* XXX: arbitrary ordering for non-contiguous masks */
-rn_lexobetter(m_arg, n_arg)
-     void *m_arg, *n_arg;
+rn_lexobetter(void *m_arg, void *n_arg)
 {
     register u_char *mp = m_arg, *np = n_arg, *lim;
 
@@ -559,9 +536,7 @@
 }
 
 static struct radix_mask *
-rn_new_radix_mask(tt, next)
-     register struct radix_node *tt;
-     register struct radix_mask *next;
+rn_new_radix_mask(struct radix_node *tt, struct radix_mask *next)
 {
     register struct radix_mask *m;
 
@@ -583,10 +558,7 @@
 }
 
 struct radix_node *
-rn_addroute(v_arg, n_arg, head, treenodes)
-     void *v_arg, *n_arg;
-     struct radix_node_head *head;
-     struct radix_node treenodes[2];
+rn_addroute(void *v_arg, void *n_arg, struct radix_node_head *head, struct radix_node treenodes[2])
 {
     caddr_t v = (caddr_t) v_arg, netmask = (caddr_t) n_arg;
     register struct radix_node *t, *x = NULL, *tt;
@@ -738,9 +710,7 @@
 }
 
 struct radix_node *
-rn_delete(v_arg, netmask_arg, head)
-     void *v_arg, *netmask_arg;
-     struct radix_node_head *head;
+rn_delete(void *v_arg, void *netmask_arg, struct radix_node_head *head)
 {
     register struct radix_node *t, *p, *x, *tt;
     struct radix_mask *m, *saved_m, **mp;
@@ -920,10 +890,7 @@
 }
 
 int
-rn_walktree(h, f, w)
-     struct radix_node_head *h;
-     int (*f) ();
-     void *w;
+rn_walktree(struct radix_node_head *h, int (*f)(struct radix_node *, void *), void *w)
 {
     int error;
     struct radix_node *base, *next;
@@ -959,9 +926,7 @@
 }
 
 int
-rn_inithead(head, off)
-     void **head;
-     int off;
+rn_inithead(void **head, int off)
 {
     register struct radix_node_head *rnh;
     register struct radix_node *t, *tt, *ttt;
@@ -991,7 +956,7 @@
 }
 
 void
-rn_init()
+rn_init(void)
 {
     char *cp, *cplim;
 #ifdef KERNEL
Index: squid/lib/rfc1035.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc1035.c,v
retrieving revision 1.4.26.1
retrieving revision 1.4.26.2
diff -u -r1.4.26.1 -r1.4.26.2
--- squid/lib/rfc1035.c	14 Mar 2001 22:17:32 -0000	1.4.26.1
+++ squid/lib/rfc1035.c	19 Oct 2001 19:05:09 -0000	1.4.26.2
@@ -1,6 +1,6 @@
 
 /*
- * $Id: rfc1035.c,v 1.4.26.1 2001/03/14 22:17:32 rbcollins Exp $
+ * $Id: rfc1035.c,v 1.4.26.2 2001/10/19 19:05:09 serassio Exp $
  *
  * Low level DNS protocol routines
  * AUTHOR: Duane Wessels
@@ -464,7 +464,10 @@
 	    break;
 	nr++;
     }
-    *records = recs;
+    if (nr > 0)
+	*records = recs;
+    else
+	free(recs);
     return nr;
 }
 
Index: squid/lib/rfc2617.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/rfc2617.c,v
retrieving revision 1.1.16.2
retrieving revision 1.1.16.3
diff -u -r1.1.16.2 -r1.1.16.3
--- squid/lib/rfc2617.c	16 Apr 2001 11:55:38 -0000	1.1.16.2
+++ squid/lib/rfc2617.c	19 Oct 2001 19:05:09 -0000	1.1.16.3
@@ -51,7 +51,7 @@
 #include "rfc2617.h"
 #include "md5.h"
 
-void 
+void
 CvtHex(const HASH Bin, HASHHEX Hex)
 {
     unsigned short i;
@@ -68,11 +68,11 @@
 	    Hex[i * 2 + 1] = (j + '0');
 	else
 	    Hex[i * 2 + 1] = (j + 'a' - 10);
-    };
+    }
     Hex[HASHHEXLEN] = '\0';
-};
+}
 
-void 
+void
 CvtBin(const HASHHEX Hex, HASH Bin)
 {
     unsigned short i;
@@ -84,13 +84,13 @@
 	    Bin[i / 2] |= ((j - '0') << ((i % 2 == 0) ? 4 : 0));
 	else
 	    Bin[i / 2] |= ((j - 'a' + 10) << ((i % 2 == 0) ? 4 : 0));
-    };
+    }
     Bin[HASHLEN] = '\0';
-};
+}
 
 
 /* calculate H(A1) as per spec */
-void 
+void
 DigestCalcHA1(
     const char *pszAlg,
     const char *pszUserName,
@@ -111,7 +111,7 @@
 	MD5Update(&Md5Ctx, pszRealm, strlen(pszRealm));
 	MD5Update(&Md5Ctx, ":", 1);
 	MD5Update(&Md5Ctx, pszPassword, strlen(pszPassword));
-	MD5Final(HA1, &Md5Ctx);
+	MD5Final((unsigned char *)HA1, &Md5Ctx);
     }
     if (strcasecmp(pszAlg, "md5-sess") == 0) {
 	MD5Init(&Md5Ctx);
@@ -120,13 +120,13 @@
 	MD5Update(&Md5Ctx, pszNonce, strlen(pszNonce));
 	MD5Update(&Md5Ctx, ":", 1);
 	MD5Update(&Md5Ctx, pszCNonce, strlen(pszCNonce));
-	MD5Final(HA1, &Md5Ctx);
-    };
+	MD5Final((unsigned char *)HA1, &Md5Ctx);
+    }
     CvtHex(HA1, SessionKey);
-};
+}
 
 /* calculate request-digest/response-digest as per HTTP Digest spec */
-void 
+void
 DigestCalcResponse(
     const HASHHEX HA1,		/* H(A1) */
     const char *pszNonce,	/* nonce from server */
@@ -153,8 +153,8 @@
     if (strcasecmp(pszQop, "auth-int") == 0) {
 	MD5Update(&Md5Ctx, ":", 1);
 	MD5Update(&Md5Ctx, HEntity, HASHHEXLEN);
-    };
-    MD5Final(HA2, &Md5Ctx);
+    }
+    MD5Final((unsigned char *)HA2, &Md5Ctx);
     CvtHex(HA2, HA2Hex);
 
     /* calculate response
@@ -171,8 +171,8 @@
 	MD5Update(&Md5Ctx, ":", 1);
 	MD5Update(&Md5Ctx, pszQop, strlen(pszQop));
 	MD5Update(&Md5Ctx, ":", 1);
-    };
+    }
     MD5Update(&Md5Ctx, HA2Hex, HASHHEXLEN);
-    MD5Final(RespHash, &Md5Ctx);
+    MD5Final((unsigned char *)RespHash, &Md5Ctx);
     CvtHex(RespHash, Response);
-};
+}
Index: squid/lib/util.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/lib/util.c,v
retrieving revision 1.4.14.3
retrieving revision 1.4.14.4
diff -u -r1.4.14.3 -r1.4.14.4
--- squid/lib/util.c	3 Jul 2001 22:04:35 -0000	1.4.14.3
+++ squid/lib/util.c	19 Oct 2001 19:05:09 -0000	1.4.14.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: util.c,v 1.4.14.3 2001/07/03 22:04:35 serassio Exp $
+ * $Id: util.c,v 1.4.14.4 2001/10/19 19:05:09 serassio Exp $
  *
  * DEBUG: 
  * AUTHOR: Harvest Derived
@@ -489,7 +489,7 @@
 void
 xxfree(const void *s_const)
 {
-    void *s = (void *)s_const;
+    void *s = (void *) s_const;
 #if XMALLOC_TRACE
     xmalloc_show_trace(s, -1);
 #endif
@@ -553,7 +553,7 @@
  *  Never returns NULL; fatal on error.
  */
 void *
-xcalloc(int n, size_t sz)
+xcalloc(size_t n, size_t sz)
 {
     void *p;
 
@@ -563,8 +563,8 @@
 	sz = 1;
     if ((p = calloc(n, sz)) == NULL) {
 	if (failure_notify) {
-	    snprintf(msg, 128, "xcalloc: Unable to allocate %d blocks of %d bytes!\n",
-		(int) n, (int) sz);
+	    snprintf(msg, 128, "xcalloc: Unable to allocate %u blocks of %u bytes!\n",
+		(unsigned int) n, (unsigned int) sz);
 	    (*failure_notify) (msg);
 	} else {
 	    perror("xcalloc");
@@ -582,7 +582,7 @@
 #endif
 #if MEM_GEN_TRACE
     if (tracefp)
-	fprintf(tracefp, "c:%d:%d:%p\n", n, sz, p);
+	fprintf(tracefp, "c:%u:%u:%p\n", (unsigned int) n, (unsigned int) sz, p);
 #endif
     return (p);
 }
Index: squid/src/.cvsignore
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/.cvsignore,v
retrieving revision 1.3
retrieving revision 1.3.12.1
diff -u -r1.3 -r1.3.12.1
--- squid/src/.cvsignore	11 Oct 2001 12:23:40 -0000	1.3
+++ squid/src/.cvsignore	19 Oct 2001 19:05:09 -0000	1.3.12.1
@@ -1,2 +1,5 @@
 .cvsignore
 Makefile.in
+cache_manager-reconfigure.c
+service
+dns
Index: squid/src/HttpHeader.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/HttpHeader.c,v
retrieving revision 1.4.2.2
retrieving revision 1.4.2.3
diff -u -r1.4.2.2 -r1.4.2.3
--- squid/src/HttpHeader.c	16 Apr 2001 11:55:38 -0000	1.4.2.2
+++ squid/src/HttpHeader.c	19 Oct 2001 19:05:09 -0000	1.4.2.3
@@ -1,6 +1,6 @@
 
 /*
- * $Id: HttpHeader.c,v 1.4.2.2 2001/04/16 11:55:38 rbcollins Exp $
+ * $Id: HttpHeader.c,v 1.4.2.3 2001/10/19 19:05:09 serassio Exp $
  *
  * DEBUG: section 55    HTTP Header
  * AUTHOR: Alex Rousskov
@@ -408,7 +408,8 @@
 		field_ptr++;
 	    if (*field_ptr == '\n')
 		field_ptr++;
-	} while (*field_ptr == ' ' || *field_ptr == '\t');
+	}
+	while (*field_ptr == ' ' || *field_ptr == '\t');
 	if (!*field_end || field_end > header_end)
 	    return httpHeaderReset(hdr);	/* missing <CRLF> */
 	e = httpHeaderEntryParseCreate(field_start, field_end);
@@ -683,12 +684,12 @@
 }
 
 void
-httpHeaderPutTime(HttpHeader * hdr, http_hdr_type id, time_t time)
+httpHeaderPutTime(HttpHeader * hdr, http_hdr_type id, time_t htime)
 {
     assert_eid(id);
     assert(Headers[id].type == ftDate_1123);	/* must be of an appropriate type */
     assert(time >= 0);
-    httpHeaderAddEntry(hdr, httpHeaderEntryCreate(id, NULL, mkrfc1123(time)));
+    httpHeaderAddEntry(hdr, httpHeaderEntryCreate(id, NULL, mkrfc1123(htime)));
 }
 
 void
@@ -701,10 +702,10 @@
 }
 
 void
-httpHeaderPutAuth(HttpHeader * hdr, const char *authScheme, const char *realm)
+httpHeaderPutAuth(HttpHeader * hdr, const char *auth_scheme, const char *realm)
 {
-    assert(hdr && authScheme && realm);
-    httpHeaderPutStrf(hdr, HDR_WWW_AUTHENTICATE, "%s realm=\"%s\"", authScheme, realm);
+    assert(hdr && auth_scheme && realm);
+    httpHeaderPutStrf(hdr, HDR_WWW_AUTHENTICATE, "%s realm=\"%s\"", auth_scheme, realm);
 }
 
 void
@@ -877,16 +878,16 @@
 }
 
 const char *
-httpHeaderGetAuth(const HttpHeader * hdr, http_hdr_type id, const char *authScheme)
+httpHeaderGetAuth(const HttpHeader * hdr, http_hdr_type id, const char *auth_scheme)
 {
     const char *field;
     int l;
-    assert(hdr && authScheme);
+    assert(hdr && auth_scheme);
     field = httpHeaderGetStr(hdr, id);
     if (!field)			/* no authorization field */
 	return NULL;
-    l = strlen(authScheme);
-    if (!l || strncasecmp(field, authScheme, l))	/* wrong scheme */
+    l = strlen(auth_scheme);
+    if (!l || strncasecmp(field, auth_scheme, l))	/* wrong scheme */
 	return NULL;
     field += l;
     if (!xisspace(*field))	/* wrong scheme */
Index: squid/src/Makefile.am
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Makefile.am,v
retrieving revision 1.2.6.3
retrieving revision 1.2.6.4
diff -u -r1.2.6.3 -r1.2.6.4
--- squid/src/Makefile.am	30 Sep 2001 20:38:14 -0000	1.2.6.3
+++ squid/src/Makefile.am	19 Oct 2001 19:05:09 -0000	1.2.6.4
@@ -59,8 +59,6 @@
 endif
 
 SUBDIRS		= fs repl auth
-#look into pkgsbin..
-libexecdir      = ${prefix}/libexec/squid
 
 INCLUDES        = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
 
Index: squid/src/access_log.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/access_log.c,v
retrieving revision 1.6.4.3
retrieving revision 1.6.4.4
diff -u -r1.6.4.3 -r1.6.4.4
--- squid/src/access_log.c	25 Aug 2001 08:28:46 -0000	1.6.4.3
+++ squid/src/access_log.c	19 Oct 2001 19:05:09 -0000	1.6.4.4
@@ -1,6 +1,6 @@
 
 /*
- * $Id: access_log.c,v 1.6.4.3 2001/08/25 08:28:46 serassio Exp $
+ * $Id: access_log.c,v 1.6.4.4 2001/10/19 19:05:09 serassio Exp $
  *
  * DEBUG: section 46    Access Log
  * AUTHOR: Duane Wessels
@@ -127,7 +127,7 @@
 	*buf = '\0';
 	return buf;
     }
-    buf = xcalloc((strlen(header) * 3) + 1, 1);
+    buf = xcalloc(1, (strlen(header) * 3) + 1);
     buf_cursor = buf;
     /*
      * We escape: \x00-\x1F"#%;<>?{}|\\\\^~`\[\]\x7F-\xFF 
@@ -195,7 +195,7 @@
 	*buf = '\0';
 	return buf;
     }
-    buf = xcalloc((strlen(header) * 3) + 1, 1);
+    buf = xcalloc(1, (strlen(header) * 3) + 1);
     buf_cursor = buf;
     /*
      * We escape: space \x00-\x1F and space (0x40) and \x7F-\xFF
Index: squid/src/acl.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/acl.c,v
retrieving revision 1.6.2.9
retrieving revision 1.6.2.10
diff -u -r1.6.2.9 -r1.6.2.10
--- squid/src/acl.c	30 Sep 2001 20:38:14 -0000	1.6.2.9
+++ squid/src/acl.c	19 Oct 2001 19:05:09 -0000	1.6.2.10
@@ -1,6 +1,6 @@
 
 /*
- * $Id: acl.c,v 1.6.2.9 2001/09/30 20:38:14 serassio Exp $
+ * $Id: acl.c,v 1.6.2.10 2001/10/19 19:05:09 serassio Exp $
  *
  * DEBUG: section 28    Access Control
  * AUTHOR: Duane Wessels
@@ -51,14 +51,12 @@
 static void aclParseTimeSpec(void *curlist);
 static void aclParseIntRange(void *curlist);
 static char *strtokFile(void);
-static void aclDestroyAclList(acl_list * list);
 static void aclDestroyTimeList(acl_time_data * data);
 static void aclDestroyIntRange(intrange *);
 static void aclLookupProxyAuthStart(aclCheck_t * checklist);
 static void aclLookupProxyAuthDone(void *data, char *result);
 static struct _acl *aclFindByName(const char *name);
 static int aclMatchAcl(struct _acl *, aclCheck_t *);
-static int aclMatchIntegerRange(intrange * data, int i);
 static int aclMatchTime(acl_time_data * data, time_t when);
 static int aclMatchUser(void *proxyauth_acl, char *user);
 static int aclMatchIp(void *dataptr, struct in_addr c);
@@ -966,9 +964,6 @@
     acl_access *A = NULL;
     acl_access *B = NULL;
     acl_access **T = NULL;
-    acl_list *L = NULL;
-    acl_list **Tail = NULL;
-    acl *a = NULL;
 
     /* first expect either 'allow' or 'deny' */
     if ((t = strtok(NULL, w_space)) == NULL) {
@@ -990,10 +985,31 @@
 	cbdataFree(A);
 	return;
     }
+    aclParseAclList(&A->acl_list);
+    if (A->acl_list == NULL) {
+	debug(28, 0) ("%s line %d: %s\n",
+	    cfg_filename, config_lineno, config_input_line);
+	debug(28, 0) ("aclParseAccessLine: Access line contains no ACL's, skipping\n");
+	cbdataFree(A);
+	return;
+    }
+    A->cfgline = xstrdup(config_input_line);
+    /* Append to the end of this list */
+    for (B = *head, T = head; B; T = &B->next, B = B->next);
+    *T = A;
+    /* We lock _acl_access structures in aclCheck() */
+}
+
+void
+aclParseAclList(acl_list ** head)
+{
+    acl_list *L = NULL;
+    acl_list **Tail = head;	/* sane name in the use below */
+    acl *a = NULL;
+    char *t;
 
     /* next expect a list of ACL names, possibly preceeded
      * by '!' for negation */
-    Tail = &A->acl_list;
     while ((t = strtok(NULL, w_space))) {
 	L = memAllocate(MEM_ACL_LIST);
 	L->op = 1;		/* defaults to non-negated */
@@ -1015,18 +1031,6 @@
 	*Tail = L;
 	Tail = &L->next;
     }
-    if (A->acl_list == NULL) {
-	debug(28, 0) ("%s line %d: %s\n",
-	    cfg_filename, config_lineno, config_input_line);
-	debug(28, 0) ("aclParseAccessLine: Access line contains no ACL's, skipping\n");
-	cbdataFree(A);
-	return;
-    }
-    A->cfgline = xstrdup(config_input_line);
-    /* Append to the end of this list */
-    for (B = *head, T = head; B; T = &B->next, B = B->next);
-    *T = A;
-    /* We lock _acl_access structures in aclCheck() */
 }
 
 /**************/
@@ -2101,13 +2105,13 @@
     *head = NULL;
 }
 
-static void
-aclDestroyAclList(acl_list * list)
+void
+aclDestroyAclList(acl_list ** head)
 {
-    acl_list *next = NULL;
-    for (; list; list = next) {
-	next = list->next;
-	memFree(list, MEM_ACL_LIST);
+    acl_list *l;
+    for (l = *head; l; l = *head) {
+	*head = l->next;
+	memFree(l, MEM_ACL_LIST);
     }
 }
 
@@ -2119,8 +2123,7 @@
     for (l = *list; l; l = next) {
 	debug(28, 3) ("aclDestroyAccessList: '%s'\n", l->cfgline);
 	next = l->next;
-	aclDestroyAclList(l->acl_list);
-	l->acl_list = NULL;
+	aclDestroyAclList(&l->acl_list);
 	safe_free(l->cfgline);
 	cbdataFree(l);
     }
